@charset "UTF-8";
/*------------------------------------------------------*/
/*------------------------------------------------------*/
* { touch-action: pan-y; } 
html, body {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

::-webkit-scrollbar {
    appearance: none;
    -moz-appearance: none;
    -webkit-appearance: none;
}
::-webkit-scrollbar:vertical {
    width: 0px;
}
::-webkit-scrollbar:horizontal {
    height: 0px;
}
::-webkit-scrollbar-thumb {
    background-color:#000000;
    border-radius: 10px;
}
::-webkit-scrollbar-track {
    border-radius: 10px;
    background-color: transparent;
}

.ui-mobile .ui-page {
    position: fixed;
}

#wrapper-bg-logo {
    position: fixed;
    width: 100%;
    height: 100%;
    display: block;

    background: #C8284A url("../images/bg.jpg");
    background-size: cover;
    background-repeat: no-repeat;
    z-index: 0;
}

#wrapper-bg-logo > img {
    position: absolute;
    width: 22%;
    max-width: 280px;
    left: 50px;
    bottom: 50px;
}

#wrapper-data-process {
    pointer-events: none;
    position: fixed;
    width: 100vw;
    height: 100vh;
    top: 0px;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 20;

    display: none;
}

#wrapper-data-process > img {
    width: 200px;
}

#wrapper-template-result {
    position: absolute;
    top: 0px;
    left: 0px;
    z-index: -1;
}

#wrapper-template-result .result__pic {
    /* position: relative;
    width: 100%;
    max-width: 501px; */

    background: url("../images/pics/1.jpg");
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: top;
}

#wrapper-template {
    display: none;
    z-index: 0;
}


#wrapper-result,
#wrapper-app {
    position: absolute;
    display: block;
    width: 100vw;
    /* height: 100vh; */
    top: 0px;
    left: 0px;
    z-index: 5;

    /* overflow: auto; */
}

#wrapper-result {
    height: auto;
    z-index: 10;
    opacity: 0;
    display: none;
}

#wrapper-result .result__container,
#wrapper-app .app__container {
    position: relative;
    width: 100%;
    height: 100%;
    max-width: 501px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    /* margin: 0 auto; */
    left: 50%;
    -webkit-transform: translateX(-50%);
       -moz-transform: translateX(-50%);
        -ms-transform: translateX(-50%);
         -o-transform: translateX(-50%);
            transform: translateX(-50%);


    overflow: initial;
}


#wrapper-result .result__container .box__body,
#wrapper-app .app__container .box__body {
    position: relative;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    /* min-height: 100vh; */
    /* height: 1000px; */
    background-color: #fff;
}


#wrapper-result .result__container .box__body .box__title,
#wrapper-app .app__container .box__body .box__title {
    position: relative;
    width: 100%;
    height: 80px;
    display: flex;
    align-items: center;
    padding: 0 20px;
}

#wrapper-result .result__container .box__body .box__title,
#wrapper-app .app__container .box__body .box__title {
    justify-content: space-between;
}

#wrapper-result .result__container .box__body .box__title > img:first-child,
#wrapper-app .app__container .box__body .box__title > img {
    width: 70%;
    max-width: 240px;
}

#wrapper-result .result__container .box__body .box__title > img:last-child,
#wrapper-app .app__container .box__body .box__title > img:last-child {
    width: 30%;
}

#wrapper-result .result__container .box__body .box__title > img:last-child {
    visibility: hidden;
}

#wrapper-app .app__container .box__body .box__area {
    position: relative;
    width: 100%;

    display: flex;
}

#wrapper-app .app__container .box__body .box__area .box__bg {
    position: relative;
    display: flex;
}

#wrapper-app .app__container .box__body .box__area .box__editor__list {
    position: absolute;
    width: 100%;
    height: 100%;
}

#wrapper-template-result .template__editor__list {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0px;
    left: 0px;
}

#wrapper-template-result .template__editor__list .box__editor,
#wrapper-app .app__container .box__body .box__area .box__editor__list .box__editor {
    position: absolute;
    /* width: 100px;
    height: 50px; */
    /* border: 1px solid black;
    box-sizing: border-box; */
}

#wrapper-template-result .template__editor__list .box__editor .box__drag,
#wrapper-app .app__container .box__body .box__area .box__editor__list .box__editor .box__drag {
    pointer-events: auto;
    cursor: pointer;
    position: absolute;
    width: 100%;
    height: 35px;
    /* border: 1px solid black;
    box-sizing: border-box; */

    border-radius: 3px 3px 0px 0px;

    /* background: rgba(220, 220, 220 , 0.4) url("../images/index-area-editor-drag.png");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: top right 5px; */
}

#wrapper-template-result .template__editor__list .box__editor .box__ui,
#wrapper-app .app__container .box__body .box__area .box__editor__list .box__editor .box__ui {
    pointer-events: none;
    position: relative;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: stretch;
    /* width: 100%; */
    width: 107px;
    height: 35px;

    background-color: #FFFFFF;
    /* border-radius: 3px 3px 0px 0px; */
}

#wrapper-template-result .template__editor__list .box__editor .box__ui > li,
#wrapper-app .app__container .box__body .box__area .box__editor__list .box__editor .box__ui > li {
    position: relative;
    flex: 0 0 auto;

} 

#wrapper-template-result .template__editor__list .box__editor .box__ui .btn__move,
#wrapper-template-result .template__editor__list .box__editor .box__ui .btn__cancel,
#wrapper-template-result .template__editor__list .box__editor .box__ui .btn__ok,
#wrapper-app .app__container .box__body .box__area .box__editor__list .box__editor .box__ui .btn__move,
#wrapper-app .app__container .box__body .box__area .box__editor__list .box__editor .box__ui .btn__cancel,
#wrapper-app .app__container .box__body .box__area .box__editor__list .box__editor .box__ui .btn__ok {
    width: 35px;
    display: flex;
    justify-content: center;
    align-items:center;

    pointer-events: auto;
    cursor: pointer;

    background-color: #FFFFFF;
}

#wrapper-template-result .template__editor__list .box__editor .box__ui .btn__cancel,
#wrapper-app .app__container .box__body .box__area .box__editor__list .box__editor .box__ui .btn__cancel {
    border-radius: 3px 0px 0px 0px;
}

#wrapper-template-result .template__editor__list .box__editor .box__ui .btn__move,
#wrapper-app .app__container .box__body .box__area .box__editor__list .box__editor .box__ui .btn__move {
    border-radius: 0px 3px 0px 0px;
    pointer-events: none;
}

#wrapper-template-result .template__editor__list .box__editor .box__ui .box__line,
#wrapper-app .app__container .box__body .box__area .box__editor__list .box__editor .box__ui .box__line {
    display: flex;
    align-items: center;
    background-color: #FFFFFF;
    width: 1px;
    height: 100%;
}

#wrapper-template-result .template__editor__list .box__editor .box__ui .btn__cancel > img,
#wrapper-app .app__container .box__body .box__area .box__editor__list .box__editor .box__ui .btn__cancel > img {
    width: 14px;
}

#wrapper-template-result .template__editor__list .box__editor .box__ui .box__line > img,
#wrapper-app .app__container .box__body .box__area .box__editor__list .box__editor .box__ui .box__line > span {
    position: relative;
    width: 1px;
    height: 65%;
    background-color: #D9D9D9;
    display: block;
}

#wrapper-template-result .template__editor__list .box__editor .box__ui .btn__ok > img,
#wrapper-app .app__container .box__body .box__area .box__editor__list .box__editor .box__ui .btn__ok > img {
    width: 17px;
}

#wrapper-template-result .template__editor__list .box__editor .box__ui .btn__move > img,
#wrapper-app .app__container .box__body .box__area .box__editor__list .box__editor .box__ui .btn__move > img {
    width: 17px;
}

#wrapper-template-result .template__editor__list .box__editor .box__input.noresize,
#wrapper-app .app__container .box__body .box__area .box__editor__list .box__editor .box__input.noresize {
    resize: none;
    background: inherit;
}


#wrapper-template-result .template__editor__list .box__editor .box__input,
#wrapper-app .app__container .box__body .box__area .box__editor__list .box__editor .box__input {
    text-shadow: none;
    pointer-events: auto;
    position: relative;
    display: block;
    width: auto;
    min-width: 200px;
    min-height: 32px;
    background-color: transparent;
    resize: horizontal;
    /* resize: none; */
    overflow: auto;
    padding: 10px;


    /* font-family: 'cwTeXKai'; */
    color: #fff;
    font-size: 22px;
    line-height: normal;
    /* line-height = font-size + 6px */
    /* line-height: 28px; */
    /* font-weight: bold;
    font-style: italic; */
    
    font-smooth: always;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;

    
    border: 1px solid #ffffff;
    box-sizing: border-box;

    word-wrap: break-word;


    background: url("../images/index-area-editor-resize.png");
    background-size: 12px;
    background-repeat: no-repeat;
    background-position: bottom right;
}

/* 覆蓋一些 把一些沒用拉掉 */
#wrapper-template-result .template__editor__list .box__editor .box__input {
    border: unset!important;
    background: unset!important;
}

#wrapper-app .app__container .box__body .box__area .box__editor__list .box__editor .box__input::before {
    pointer-events: none;
    content: "請輸入文字";
    /* font-family: 'cwTeXKai'; */
}

#wrapper-app .app__container .box__body .box__area .box__editor__list .box__editor .box__input.default-word-out::before {
    content: "";
}

/* 顏色 with 字 */
/* #wrapper-app .app__container .box__body .box__area .box__editor__list .box__editor .box__input::before {
    pointer-events: none;
    content: "";
    position: absolute;
    display: block;
    width: 2px;
    height: calc(100% - 20px);
    background-color: #ffffff;
    visibility: visible;
    visibility: hidden;

	-webkit-animation: blink-1 0.8s infinite both;
	        animation: blink-1 0.8s infinite both;
}

#wrapper-app .app__container .box__body .box__area .box__editor__list .box__editor .box__input.blink-out::before {
    pointer-events: none;
    visibility: hidden;
} */


/**
 * ----------------------------------------
 * animation blink-1
 * ----------------------------------------
 */
/* .blink-1 {
	-webkit-animation: blink-1 0.5s infinite both;
	        animation: blink-1 0.5s infinite both;
} */
@-webkit-keyframes blink-1 {
0%,
50%,
100% {
    opacity: 1;
}
25%,
75% {
    opacity: 0;
}
}
@keyframes blink-1 {
0%,
50%,
100% {
    opacity: 1;
}
25%,
75% {
    opacity: 0;
}
}



#wrapper-app .app__container .box__body .box__control {
    position: relative;
    width: 100%;
    padding: 0 20px;
}

#wrapper-app .app__container .box__body .box__control .box__top {
    position: relative;
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: stretch;

    margin-top: 20px;
}

#wrapper-app .app__container .box__body .box__control .box__top > div {
    flex: 0 0 auto;
    position: relative;
}

#wrapper-app .app__container .box__body .box__control .box__top .box__btn__add {
    pointer-events: auto;
    cursor: pointer;
    width: calc(100% - 90px);
    border: 1px solid #979797;
    box-sizing: border-box;
    display: block;

    padding: 12px 0;

    border-radius: 5px;
    background-color: #FFFFFF;
}

#wrapper-app .app__container .box__body .box__control .box__top .box__btn__add > p {
    font-size: 1.2em;
    font-weight: 500;

    text-align: center;
}

#wrapper-app .app__container .box__body .box__control .box__top .box__font__style {
    display: flex;
    flex-direction: row;
    align-items: flex-end;
}

#wrapper-app .app__container .box__body .box__control .box__top .box__font__style > img {
    pointer-events: auto;
    cursor: pointer;
    width: 30px;
}

#wrapper-app .app__container .box__body .box__control .box__top .box__font__style .box__btn__italic {
    margin-left: 10px;
}

#wrapper-app .app__container .box__body .box__control .box__font__color {
    position: relative;
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;

    flex-wrap: wrap;

    margin-top: 20px;
}

#wrapper-app .app__container .box__body .box__control .box__font__color > span {
    pointer-events: auto;
    cursor: pointer;
    flex: 0 0 auto;
    position: relative;
    width: 7%;
    padding-bottom: 7%;
    /* aspect-ratio: 1; */
    /* width: 30px;
    height: 30px; */
    display: block;
    border-radius: 50%;
    box-sizing: border-box;
}

#wrapper-app .app__container .box__body .box__area .box__editor__list .box__editor .box__input.bg-color-1::before,
span.bg-color-1 {
    background-color: #C00000!important;
}

#wrapper-app .app__container .box__body .box__area .box__editor__list .box__editor .box__input.bg-color-2::before,
span.bg-color-2 {
    background-color: #ED7D77!important;
}

#wrapper-app .app__container .box__body .box__area .box__editor__list .box__editor .box__input.bg-color-3::before,
span.bg-color-3 {
    background-color: #FFC001!important;
}

#wrapper-app .app__container .box__body .box__area .box__editor__list .box__editor .box__input.bg-color-4::before,
span.bg-color-4 {
    background-color: #F8E500!important;
}

#wrapper-app .app__container .box__body .box__area .box__editor__list .box__editor .box__input.bg-color-5::before,
span.bg-color-5 {
    background-color: #50C23B!important;
}

#wrapper-app .app__container .box__body .box__area .box__editor__list .box__editor .box__input.bg-color-6::before,
span.bg-color-6 {
    background-color: #2D9F79!important;
}

#wrapper-app .app__container .box__body .box__area .box__editor__list .box__editor .box__input.bg-color-7::before,
span.bg-color-7 {
    background-color: #0099F6!important;
}

#wrapper-app .app__container .box__body .box__area .box__editor__list .box__editor .box__input.bg-color-8::before,
span.bg-color-8 {
    background-color: #0070C0!important;
}

#wrapper-app .app__container .box__body .box__area .box__editor__list .box__editor .box__input.bg-color-9::before,
span.bg-color-9 {
    background-color: #002060!important;
}

#wrapper-app .app__container .box__body .box__area .box__editor__list .box__editor .box__input.bg-color-10::before,
span.bg-color-10 {
    background-color: #B200C0!important;
}

#wrapper-app .app__container .box__body .box__area .box__editor__list .box__editor .box__input.bg-color-11::before,
span.bg-color-11 {
    background-color: #000000!important;
}

#wrapper-app .app__container .box__body .box__area .box__editor__list .box__editor .box__input.bg-color-12::before {
    background-color: #ffffff!important;
}

span.bg-color-12 {
    background-color: #ffffff!important;
    border: 1px solid #979797;
}

#wrapper-app .app__container .box__body .box__control .box__font__size {
    margin-top: 20px;
}
#wrapper-app .app__container .box__body .box__control .box__font__size .box__slider__text {
    font-size: 1.2em;
    font-weight: 400;
}


#wrapper-app .app__container .box__body .box__control .box__font__size .box__slider__con {
    position: relative;
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

#wrapper-app .app__container .box__body .box__control .box__font__size .box__slider__con > li {
    flex: 0 0 auto;
    position: relative;
}

#wrapper-app .app__container .box__body .box__control .box__font__size .box__slider__con .box__slider {
    width: 83%;
}

#wrapper-app .app__container .box__body .box__control .box__font__size .box__slider__con .box__value {
    width: 12%;
    display: flex;
    justify-content: center;
    align-items: center;

    padding: 10px 0;

    border: 2px solid #DBDADC;
    box-sizing: border-box;

    border-radius: 10px;
}

#wrapper-app .app__container .box__body .box__control .box__font__size .box__slider__con .box__value > p {
    font-size: 1em;
    font-weight: 500;
}


#wrapper-app .app__container .box__body .box__control .box__font__size .box__slider__con .box__slider #slider-bar {
    display: none;
}

.ui-slider-track {
    height: 2px;
    top: 15px;
}

.ui-page-theme-a .ui-btn:focus, html .ui-bar-a .ui-btn:focus, html .ui-body-a .ui-btn:focus, html body .ui-group-theme-a .ui-btn:focus, html head+body .ui-btn.ui-btn-a:focus, .ui-page-theme-a .ui-focus, html .ui-bar-a .ui-focus, html .ui-body-a .ui-focus, html body .ui-group-theme-a .ui-focus, html head+body .ui-btn-a.ui-focus, html head+body .ui-body-a.ui-focus {
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
}

.ui-body-a, .ui-page-theme-a .ui-body-inherit, html .ui-bar-a .ui-body-inherit, html .ui-body-a .ui-body-inherit, html body .ui-group-theme-a .ui-body-inherit, html .ui-panel-page-container-a {
    background-color: #fff;
    border: 2px solid #DBDADC;
    text-shadow: none;
}

.ui-shadow-inset {
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
}

.ui-slider-track .ui-btn.ui-slider-handle {
    border-radius: 50%;
    width: 24px;
    height: 24px;
    margin: -12px 0 0 -12px;

    background-color: #ffffff;
    border: 2px solid #979797;
    box-sizing: border-box;
    text-shadow: none;    
}

.ui-slider-track {
    /* margin: 0 15px 0 68px; */
    margin: 0 0px 0 12px;
    /* margin: 0 0px 0 0px; */
}

/* #wrapper-app .app__container .box__body .box__choice__text {
    position: relative;
    width: calc(100% - 40px);
    margin-top: 25px;
}

#wrapper-app .app__container .box__body .box__choice__text > p {
    font-size: 1.2em;
    font-weight: 400;
} */

#wrapper-app .app__container .box__body .box__choice {
    position: relative;
    width: calc(100% - 0px);
    /* padding: 10px 20px; */
    padding: 10px 0px;

    /* border: 2px solid #DBDADC; */
    /* box-sizing: border-box; */
    border-radius: 8px;
    overflow: hidden;

    /* margin-top: 10px; */
}

#wrapper-app .app__container .box__body .box__choice .splide .splide__slide .box__con {
    pointer-events: auto;
    cursor: pointer;
    position: relative;
    border-radius: 8px;
    overflow: hidden;
    box-sizing: border-box;
}

#wrapper-app .app__container .box__body .box__choice .splide .splide__slide .box__con.isActived {
    border: 2px solid #000000;
}

/* splide arrow */
.splide .splide__arrows .splide__arrow > span {
    border-bottom-style: solid;
    border-bottom-width: 1px;
    border-right-style: solid;
    border-right-width: 1px;

    border-bottom-color: #000000;
    border-right-color: #000000;
    
    display: block;
    position: absolute;

    /* background-color: transparent;
    border-radius: 0;
    overflow: inherit; */
}

.splide .splide__arrows .sheet__splide__left {
    left: 4px;
}

.splide .splide__arrows .sheet__splide__right {
    right: 4px;
}

.splide .splide__arrows .sheet__splide__left > span {
    width: 10px;
    height: 10px;

    -moz-transform: rotate(135deg);
    -ms-transform: rotate(135deg);
    -webkit-transform: rotate(135deg);
    transform: rotate(135deg);
}

.splide .splide__arrows .sheet__splide__right > span {
    width: 10px;
    height: 10px;

    -moz-transform: rotate(315deg);
    -ms-transform: rotate(315deg);
    -webkit-transform: rotate(315deg);
    transform: rotate(315deg);
}

.splide .splide__arrows .sheet__splide__left::before,
.splide .splide__arrows .sheet__splide__right::before {
    content: "";
    position: absolute;
    width: 28px;
    height: 28px;
    display: block;
    border-radius: 50%;
    background-color: #ffffff;
    z-index: -1;
    border: 1px solid rgba(150, 150, 150, 0.2);
    box-sizing: border-box;
}

.splide .splide__arrows .sheet__splide__left::before {
    left: 4px;
}

.splide .splide__arrows .sheet__splide__right::before {
    right: 4px;
}


#wrapper-app .app__container .box__body .box__confirm {
    position: relative;
    width: 100%;
    display: flex;
    justify-content: center;

    margin-top: 25px;
}

#wrapper-app .app__container .box__body .box__confirm > div {
    pointer-events: auto;
    cursor: pointer;

    position: relative;
    width: 60%;
    max-width: 240px;
    color: #ffffff;
    font-size: 1.2em;
    letter-spacing: 0.1em;
    font-weight: 300;

    background-color: #000000;
    border-radius: 30px;
    padding: 15px 0;

    text-align: center;
}


#wrapper-result .result__container .box__body .box__bottom,
#wrapper-app .app__container .box__body .box__bottom {
    position: relative;
    width: 100%;
    /* margin-top: 25px; */
    margin-top: 50px;
}

#wrapper-result .result__container .box__body .box__bottom > ul,
#wrapper-app .app__container .box__body .box__bottom > ul {
    position: relative;
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    background-color: #7d4999;
    padding: 15px 15px;;
}

#wrapper-result .result__container .box__body .box__bottom > ul .bottom__left,
#wrapper-app .app__container .box__body .box__bottom > ul .bottom__left {
    width: 56%;
}

#wrapper-result .result__container .box__body .box__bottom > ul .bottom__right,
#wrapper-app .app__container .box__body .box__bottom > ul .bottom__right {
    width: 22%;
}


#wrapper-result .result__container .box__body .box__bottom > ul .bottom__center,
#wrapper-app .app__container .box__body .box__bottom > ul .bottom__center {
    position: relative;
    width: 22%;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    padding-right: 15px;
}

#wrapper-result .result__container .box__body .box__bottom > ul .bottom__center > span,
#wrapper-app .app__container .box__body .box__bottom > ul .bottom__center > span {
    position: relative;
    width: 1px;
    height: 45px;
    background-color: #FFFFFF;
    display: block;
}

/* ------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------ */
/* #wrapper-result .result__container .box__body */
#wrapper-result .result__container .box__body .box__result {
    position: relative;
    padding: 0 20px;
}

#wrapper-result .result__container .box__body .box__down__tips {
    margin-top: 20px;
}

#wrapper-result .result__container .box__body .box__action {
    margin-top: 40px;
    position: relative;
    width: 100%;
    padding: 0 20px;

    display: flex;
    flex-direction: column;
    align-items: center;
}

#wrapper-result .result__container .box__body .box__action > div {
    pointer-events: auto;
    cursor: pointer;

    position: relative;
    width: 65%;
    max-width: 240px;

    display: flex;
    flex-direction: row;
    justify-content: center;
    padding: 15px 0;

    border-radius: 30px;
    background-color: #000000;
}

#wrapper-result .result__container .box__body .box__action > div > img {
    width: 110px;
}

#wrapper-result .result__container .box__body .box__action .btn__save {
    background-color: #ED7D77;
    margin-bottom: 20px;
}


@media only screen and (min-width:360px) {

}

@media only screen and (min-width:768px) {

}

@media only screen and (min-width:1024px) {
 
}


